/**
 * Theme Name:     Jackpot Vision
 * Author:         Danco Vision
 * Template:       hello-elementor
 * Text Domain:	   jackpot-vision
 * Description:    Web Design Jackpot Vision
 * Theme URI:      https://dancovision.ro
 * Author URI:     https://dancovision.ro
 * Version:        1.2
 */

.gradient-text{
	background: -webkit-linear-gradient(0deg, #BF388A, #4012E5);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
}

.video-bg-blur .elementor-background-video-container::before{
    content: "" !important;
    -webkit-backdrop-filter: blur(50px);
    backdrop-filter: blur(50px);
}

.lets-connect-btn .elementor-button-wrapper{
	box-shadow: 0px 5px 5px 0px #0000001A;
	border-radius: 100px;
}

.lets-connect-btn .elementor-button-wrapper:hover{
	box-shadow: 0px 11px 11px 0px #00000017;
}

.achievement-item:hover .achievement-item-text p{
	color: #fff !important;
	transition: ease-in-out 0.3s;
}

.achievement-item:hover{
	cursor: default;
}

.contact-btn {
  position: relative;
  display: inline-block;
  width: 120px;
  height: 50px;
  text-align: center;
  background-color: transparent;
  cursor: pointer;
  font-weight: 600;
  font-size: 17px;
  border: none;
  outline: none;
  border-radius: 25px;
}

.contact-btn.get-a-quote-btn{
	width: 180px;
}

.contact-btn svg {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  border-radius: 100px;
}

.contact-btn svg rect {
  stroke-width: 3;
  -webkit-transition: all .6s ease;
  transition: all .6s ease;
}

.contact-btn span {
  background: #BF388A;
  background: linear-gradient(to right, #BF388A 0%, #4012E5 100%);
  background-clip: text;
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
}

.contact-btn:hover{
	background-color: #0000000A !important;
}

.carousel-companies{
	pointer-events: none;
}

.carousel-companies .swiper, .carousel-features .swiper, .carousel-services .swiper, .portfolio-carousel-hp .swiper, .carousel-services-plus .swiper{
	overflow: visible;
}

.carousel-companies .swiper-slide .e-con-inner div{
	max-height: 130px !important;
}

.carousel-companies .swiper-wrapper{
  -webkit-transition-timing-function: linear !important;
  transition-timing-function: linear !important; 
}

.accordion-features{
	max-width: 850px !important;
	margin-left: auto;
}

.feature-text{
	width: calc(100% - 270px);
}

.accordion-features .e-n-accordion-item .e-n-accordion-item-title::before{
	position: absolute;
    left: -30px;
    font-weight: 600;
    transform: translateY(-10px);
    font-size: 1rem;
}

.carousel-features .elementor-widget-heading::before{
	position: absolute;
	left: 0px;
	font-weight: 600;
	font-size: 1rem;
}

details#feature-1 .e-n-accordion-item-title::before,
.carousel-feature-1::before{
	content: "01";
}
details#feature-2 .e-n-accordion-item-title::before,
.carousel-feature-2::before{
	content: "02";
}
details#feature-3 .e-n-accordion-item-title::before,
.carousel-feature-3::before{
	content: "03";
}
details#feature-4 .e-n-accordion-item-title::before,
.carousel-feature-4::before{
	content: "04";
}

.carousel-services .swiper-slide .e-con-inner .e-child{
	height: 100%;
}

.carousel-services-icon .elementor-widget-container{
	aspect-ratio: 1;
}

.carousel-services .details-btn span,
.grid-services .details-btn span{
	background: -webkit-linear-gradient(0deg, #BF388A, #4012E5);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
}

.details-btn {
    display: none;
}


.details-btn.icon-btn .elementor-button-icon svg{
	height: 15px;
}

.details-btn.icon-btn a{
	width: 40px;
	height: 40px;
}

.carousel-services .swiper-slide.hover .e-child,
.grid-services .service-cell.hover,
.carousel-services-plus .service-cell.hover{
	background: linear-gradient(to right, #BF388A 0%, #4012E5 100%);
}

.carousel-services .swiper-slide.hover .text p,
.grid-services .service-cell.hover .text p,
.grid-services.plus .service-cell.hover .title p,
.carousel-services-plus .service-cell.hover .title.white-text p{
	color: #fff;
}

.carousel-services .swiper-slide.hover .carousel-services-icon .elementor-widget-container,
.grid-services .service-cell.hover .carousel-services-icon .elementor-widget-container,
.carousel-services-plus .service-cell.hover .carousel-services-icon .elementor-widget-container
{
	background-color: #F4F4F466;
}

.carousel-services .swiper-slide.hover .carousel-services-icon .elementor-widget-container svg path,
.grid-services .service-cell.hover .carousel-services-icon .elementor-widget-container svg path,
.carousel-services-plus .service-cell.hover .carousel-services-icon .elementor-widget-container svg path{
	stroke: #fff;
}

.grid-services.plus .elementor-grid > div:nth-last-child(-n+2){
	transform: translateX(calc(50% + 20px));
}

.carousel-services .swiper-slide.hover .e-child{
	max-height: 400px;
}

.service-loop-img{
	background: #f4f4f4;
    padding: 20px;
    border-radius: 100px;
    width: 64px;
}

.service-cell.hover .service-loop-img {
    background: #f4f4f466;
    filter: brightness(0) saturate(100%) invert(94%) sepia(0%) saturate(7474%) hue-rotate(311deg) brightness(109%) contrast(102%);
	transition: all 0.5s;
}

.portfolio-carousel-hp img,
.portfolio-grid .portfolio-grid-loop img{
    filter: saturate(0);
}

.portfolio-carousel-hp .swiper-slide.hover img,
.portfolio-grid .portfolio-grid-loop.hover img{
    filter: saturate(1);
	box-shadow: 0px 32px 32px #00000017;
}

.portfolio-carousel-hp .swiper-slide.hover .black-text p,
.portfolio-grid .portfolio-grid-loop.hover .black-text p,
.blog-post-carousel .swiper-slide.hover .black-text p{
	color: #000;
}

.portfolio-carousel-hp .swiper-slide.hover .e-con-inner{
	position: relative;
}

.portfolio-carousel-hp .swiper-slide.hover .e-con-inner::before,
.portfolio-grid .portfolio-grid-loop.hover .e-con-inner::before{
	content: '';
	width: 100%;
	height: 1px;
	background: linear-gradient(to right, #BF388A 0%, #4012E5 100%);
	top: 0;
	position: absolute;
}

.portfolio-plus-icon{
	display: none;
}

.portfolio-loop-img img{
	aspect-ratio: 12 / 5;
	object-fit: cover;
}

.portfolio-plus-icon .elementor-widget-container{
	aspect-ratio: 1;
    background: #fff;
    border-radius: 50%;
    padding: 10px;
	box-shadow: 0px 7px 7px #00000017;
}

.blog-post-carousel .e-loop-item .post-info .elementor-icon-list-item:first-child{
	padding: 6px 15px;
	border-radius: 25px;
}

.blog-post-carousel .e-loop-item .post-info .elementor-icon-list-item:first-child span{
	color: #121212 !important;
}

.category-design .post-info .elementor-icon-list-item:first-child{
	background: #BBC4F0;
}

.category-analysis .post-info .elementor-icon-list-item:first-child{
	background: #E1ECF0;
}

.category-marketing .post-info .elementor-icon-list-item:first-child{
	background: #EBC1DB;
}

.blog-post-carousel .post-heading{
	height: 85px;
	overflow: hidden;
}

.blog-post-carousel .post-heading a{
	display: -webkit-box;
    -webkit-line-clamp: 3;
    -webkit-box-orient: vertical;
    overflow: hidden;
}

.blog-loop-img img{
	aspect-ratio: 7 / 5;
	object-fit: cover;
}

.team-members-carousel .swiper{
		overflow: visible;
		width: 85%;
		margin: 0;
	}

.team-members-carousel .elementor-loop-container{
	overflow: visible;
	--dynamic-padding-left: calc((100vw - 1460px) / 2);
	padding-left: calc((100vw - 1460px) / 2);
	width: calc(100% - var(--dynamic-padding-left));
	margin: 0;
}

.footer-newsletter-form .elementor-field{
	padding: 20px 30px;
	height: 60px;
}

.footer-newsletter-form button{
	height: 60px;
    background-image: linear-gradient(90deg, #BF388A 0%, #4012E5 100%);
}

.new-footer-newsletter-form .elementor-field{
	padding: 20px 30px;
	height: 45px;
}

.new-footer-newsletter-form button{
	height: 45px;
	background-image: linear-gradient(90deg, #BF388A 0%, #4012E5 100%);
}

.footer-social-icons svg path{
	fill: #B4B4B4;
}

.footer-video-container{
	opacity: 0.5;
}

.single-post-featured-img .elementor-widget-container img{
	aspect-ratio: 8 / 3;
	object-fit: cover;
	box-shadow: 0px 7px 15px 0px rgba(0, 0, 0, 0.04);
	border-radius: 68px;
}

.single-post-info .elementor-post-info__item {
    display: flex !important;
	flex-direction: column-reverse;
	padding-left: 10px !important;
}

.single-post-info .elementor-icon-list-icon{
	width: 80px !important;
}

.single-post-info .elementor-post-info__item .elementor-post-info__item-prefix{
	font-size: 0.8rem;
    color: #828282;
	font-weight: 400;
}

.single-post-info .elementor-post-info__item{
	font-size: 1.125rem;
	color: #222;
	font-weight: 700;
}

.blog-archive-content .tab:hover p{
	color: #fff !important;
}

.blog-archive-content .tab:hover{
	cursor: pointer;
}

.blog-archive-content .tab{
	min-width: auto !important;
}

.blog-archive-content .active-tab p{
	color: #fff !important;
}

.blog-archive-content .active-tab .elementor-widget-container{
	background-image: linear-gradient(90deg, #BF388A 0%, #4012E5 100%); 
}

.container-tab-btns{
	overflow: scroll !important;
	scrollbar-width: none;
}

.container-tab-btns::-webkit-scrollbar{
	display: none !important;
}


.playground {
	width: 800px;
	height: 300px;
	overflow: hidden;
}

#helper {
	position: fixed !important;
	width: 100vw;
	height: 100vh;
	pointer-events: none;
	opacity: 0;
	visibility: hidden;
	z-index: -1;
	background-color: transparent;
}

.matter-buttons__item {
		background-color: transparent;
		background-image: linear-gradient(90deg, #BF388A 0%, #4012E5 100%);
		border-radius: 25px;
		font-size: 1rem;
		font-weight: 600;
		font-family: 'SF Pro Text';
		position: absolute;
		color: #fff;
		text-decoration: none;
		display: block;
		padding: 20px 50px;
		text-align: center;
		line-height: 1rem;
}
.matter-buttons:hover {
			cursor: default;
}

.matter-button{
	height: 100vh !important;
}

#container-matter canvas {
    background: transparent !important;
	display: none !important;
}

.contact-form input, .contact-form textarea {
    padding: 15px 25px !important;
}

.contact-form button{
	background-color: transparent;
    font-family: "SF Pro Text", Sans-serif;
    font-size: 1rem;
    font-weight: 600;
    background-image: linear-gradient(90deg, #BF388A 0%, #4012E5 100%);
    border-radius: 100px 100px 100px 100px;
    padding: 20px 50px 20px 50px !important;
	box-shadow: 0px 33px 9px 0px rgba(0, 0, 0, 0.00), 0px 21px 9px 0px rgba(0, 0, 0, 0.01), 0px 12px 7px 0px rgba(0, 0, 0, 0.05), 0px 5px 5px 0px rgba(0, 0, 0, 0.09), 0px 1px 3px 0px rgba(0, 0, 0, 0.10);
}

.header-menu .current-menu-item a {
    background: -webkit-linear-gradient(0deg, #BF388A, #4012E5);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
}

.header-menu ul li{
	margin: 0 25px;
}

.header-menu .current-menu-item a::after{
	content: '';
	width: 100%;
	height: 1px;
	background: linear-gradient(to right, #BF388A 0%, #4012E5 100%);
	bottom: 0;
	position: absolute;
}

.header-menu a{
	padding: 0px !important;
}

.blog-tabs .e-n-tabs-heading{
	padding-left: 10px;
}

.blog-tabs .e-n-tabs .e-n-tabs-heading{
	flex-direction: row;
    display: flex;
    align-items: baseline;
    gap: 10px;
    overflow: scroll;
    flex-wrap: nowrap;
	padding-left: 30px;
}

.client-single-content  .client-single-img-content img {
    border-radius: 40px;
    aspect-ratio: 4 / 3;
    max-width: 450px;
    object-fit: cover;
}

.service-post-content h1,
.service-post-content h2,
.service-post-content h3,
.service-post-content h4,
.service-post-content h5,
.service-post-content h6{
	color: #222;
} 

.service-post-content img{
	border-radius: 40px !important;
    aspect-ratio: 4 / 3 !important;
    max-width: 50% !important;
    object-fit: cover !important;
    width: 100%;
    padding: 10px;
}



@media only screen and (max-width: 1366px){
	.team-members-carousel .elementor-loop-container{
		--dynamic-padding-left: calc((100vw - 1044px) / 2);
		padding-left: calc((100vw - 1044px) / 2);
		width: calc(100% - var(--dynamic-padding-left));
	}
	
	.team-members-carousel .swiper-slider{
		margin: 0 !important;
	}
}

@media only screen and (min-width: 768px){
	.carousel-services-icon.icon-line{
		z-index: 1;
		background: #fff;
		padding: 0 20px;
	}
	
	.elementor-element.about-col-line::before{
		content: '';
		width: 175%;
		background: #CBCBCB;
		height: 1px;
		top: 33px;
		z-index: 1;
		transform: translateX(-50%);
		left: 50%;
	}
}

@media only screen and (max-width: 1024px){
	.features-text-container{
		width: 100% !important;
	}
	
	.footer-newsletter-form .elementor-field-group-submit{
		padding-left: 0px !important;
	}
	
	.footer-newsletter-form .elementor-field-group-email{
		padding-right: 0px !important;
	}
	
	.blog-post-carousel .swiper{
		overflow: visible;
		width: 85%;
		margin: 0;
	}
	
}


@media only screen and (max-width: 768px){
	.carousel-companies .swiper-slide{
		min-width: 130px;
	}
	
	.carousel-companies .swiper-slide div {
    	padding: 5px;
	}
	
	.playground {
		width: calc(100vw - 40px);
		margin-left: -15vw;
		height: 400px;
	}
	
	.footer-newsletter-form {
		background: #222;
		border-radius: 100px;
		padding: 5px;
	}
	
	.footer-newsletter-form .elementor-field {
		padding: 20px 0px 20px 30px;
		height: 60px;
	}
	
	.footer-newsletter-form .elementor-field-type-email{
		width: 60% !important;
	}
	
	.footer-newsletter-form .elementor-field-type-submit{
		width: 40% !important;
	}
	
	.footer-newsletter-form .elementor-field-type-submit button{
		padding: 15px 25px !important;
	}
	
	.team-members-carousel .elementor-loop-container {
        width: 70%;
    }
	
	.carousel-services.elementor-widget-n-carousel .e-n-carousel.offset-both,
	.carousel-features.elementor-widget-n-carousel .e-n-carousel.offset-both,
	.portfolio-carousel-hp.elementor-widget-loop-carousel .elementor-loop-container.offset-both,
	.carousel-services-plus .elementor-loop-container.offset-both,
	.carousel-services .elementor-loop-container.offset-both{
		padding-inline-start: 0 !important;
	}
	
	.single-post-featured-img .elementor-widget-container img{
		aspect-ratio: 4 / 3;
	}
}

@media only screen and (min-width: 450px) and (max-width: 768px){
	.full-w-mobile{
		max-width: 200px !important;
		margin: 0 auto !important;
	}
	
	.footer-newsletter-form{
		max-width: 450px !important;
	}
	
	.footer-video-container{
		min-height: 450px !important;
	}
}

@media only screen and (max-width: 500px){
	.carousel-services-plus .swiper-slide.hover .e-child{
		max-height: 270px !important;
		min-height: 270px !important;
	}
}

@media only screen and (max-width: 450px){
	.get-a-quote-html{
		width: 100% !important;
	}
	
	.contact-btn.get-a-quote-btn{
		width: 100%;
	}
	
	 #gradient-border-btn rect {
      width: 100%;
    }
}

@media only screen and (max-width: 400px){
	.carousel-services-plus-inner{
		flex-direction: column !important;
		align-items: flex-start !important;
	}
	
	.carousel-services-plus .details-btn{
		margin-right: auto;
	}
}